Subject: Linux-Activists Digest #17
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 4 Apr 92 10:15:09 EST

Linux-Activists Digest #17, Volume #2             Sat, 4 Apr 92 10:15:09 EST

Contents:
  Re: Linux info sheet (thomas dunbar)
  Re: Since I haven't seen an FAQ... (Charles Hedrick)

----------------------------------------------------------------------------

From: thomas dunbar <[email-masked]>
Subject: Re: Linux info sheet
Reply-To: [email-masked]
Date: Sat, 4 Apr 1992 14:41:29 GMT

i noted that GNU Emacs was not listed among the ported apps for Linux.
this is one of the apps that i would be looking for-i assume others might.
   although i've read about screen problems with Emacs, i suspect they were
using console as TERM. i set term to vt100 (fm the 0.12 termcap) and use
Emacs regularly with no problems. in fact, ansi-graphics toys like hanoi.el
and getris.el (tetris play-alike) work fine.
   in my opinion, Emacs' key defs are a sort of common-language for public
unix implementations - e.g. Bash and oleo.
   in short, i consider GNU the default editor. while space considerations
may dictate using Lawrence's fine micro-emacs in the basic tar.Z's, Emacs
should at least be listed on the Info Sheet, imo.
                                                         thomas

------------------------------

From: [email-masked] (Charles Hedrick)
Subject: Re: Since I haven't seen an FAQ...
Date: 4 Apr 92 06:42:36 GMT

[email-masked] (Sergio L Aponte) writes:

>       I have been trying to figure it out by reading the group, so far
>       I got "FREE BSD for 80386 PCs". Is this the right track?

It's right that it's free and for the 386.  Actually, 386, 386sx, and
486, as long as you have an AT bus.  There seem to be timing problems
with some 486 systems, though workarounds are known.  A 387 is not
required -- the kernel will emulate it if necessary.  There's
beginning to be support for the major SCSI adapters.  The major
omissions are networking and windowing.  However an X port is
progressing -- all the system facilities needed are present.
Networking is going to be the big problem.  There's a user-mode SLIP
(TCP/IP over serial lines, using KA9Q), and I'm sure we'll find some
way to support SLIP for X.  But I don't know what's being done to
support Ethernet.  It's probably not reasonable to do that in user
mode.

But as for BSD, not exactly.  In fact Linux is turning out to be Gnu
with a different kernel.  (I'm sort of surprised FSF hasn't become
more involved.  You'd think an OS that's released under the Gnu
copyleft, and uses all the Gnu software, could be viewed as a sort of
release 0 of GnuOS.)  Libc (at least once gcc 2.1 is released) and all
the major utilities are from Gnu.  The only thing I can think of that
would be different about the Gnu OS when it's released is that it will
have a kernel written by Gnu.  But that may not matter as much as it
seems.  I assume GnuOS will have new stuff like threads.  But for the
basic Unix functionality, it's going to have to look like a superset
of Linux, since they're both being accessed through the same
libraries, and both are being written to the POSIX spec.

From the point of view of someone familiar with traditional Unix,
Linux feels sort of like BSD with a System V API.  That is, the system
calls, include files, and subroutines follow POSIX, which is roughly
based on System V.  The utilities (and when gcc 2.1 comes out) the
libraries are all Gnu, which claims to be POSIX-based.  However
there's a certainly overall Berkeley feel to it.  That's because Gnu
has generally started with the POSIX specs, but added in BSD or
BSD-inspired features.  In this regard it may be similar in overall
style to what Berkeley 4.4 is going to be, since 4.4 will also be
POSIX-compatible, but presumably will retain the Berkeley flavor.  The
same is true of other recent systems, such as OSF/1 (at least in the
DEC implementation I've seen), and (if you believe the original
statements about goals) System V release 4.  I generally hate System
V.  However I find that I like Linux.  Certainly any new Unix variant
should use the POSIX specs, not the old Berkeley ones, given that even
Berkeley is adopting POSIX.

The other major thing is that the kernel is small and is written
"close to the iron".  There's some philosophical similarity to Minix.
And of course the file system is from Minix, which is probably closer
to the Berkeley fast file system than System V (though it's still got
the short file names).  However Minix is intended to have a version 7
flavor.  Its author is attempting to resist attempts to add Berkeley
features.  A number of people claim that Linux feels fast, but since I
haven't run any other Unix variant on my system, I have no good
comparison.  Certainly I have no performance complaints.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.95a released on March 17, 1992

End of Linux-Activists Digest
******************************